<?php
declare(strict_types=1);

namespace App\Service\Mailer\Model;

abstract class AbstractMailerModel
{
    protected int $senderId;
    protected bool $notify = true;

    public function setSenderId(int $accessId) : self {
        $this->senderId = $accessId;
        return $this;
    }

    public function getSenderId(): int {
        return $this->senderId;
    }

    public function setNotify(bool $notify) : self{
        $this->notify = $notify;
        return $this;
    }

    public function getNotify(): bool {
        return $this->notify;
    }
}
